libxfce4panel-devel-4.12.0-4-omv2015.0.i586.rpm


Advertisement

Description

libxfce4panel-devel - Libraries and header files for the xfce4-panel library

Property Value
Distribution OpenMandriva Lx 3.0
Repository OpenMandriva Contrib i586
Package name libxfce4panel-devel
Package version 4.12.0
Package release 4-omv2015.0
Package architecture i586
Package type rpm
Installed size 779.73 KB
Download size 140.89 KB
Official Mirror abf-downloads.openmandriva.org
Libraries and header files for the xfce4-panel library.

Alternatives

Package Version Architecture Repository
libxfce4panel-devel-4.12.2-1-omv2015.0.i586.rpm 4.12.2 i586 OpenMandriva Contrib Updates
libxfce4panel-devel - - -

Requires

Name Value
devel(libcairo) -
devel(libgdk-3) -
devel(libgdk-x11-2.0) -
devel(libgdk_pixbuf-2.0) -
devel(libglib-2.0) -
devel(libgobject-2.0) -
devel(libgtk-3) -
devel(libgtk-x11-2.0) -
devel(libxfce4util) -
libxfce4panel-1.0_4 == 4.12.0
libxfce4panel2.0_4 == 4.12.0
pkgconfig(glib-2.0) -
pkgconfig(gmodule-2.0) -
pkgconfig(gtk+-2.0) -
pkgconfig(gtk+-3.0) -
pkgconfig(libxfce4util-1.0) -

Provides

Name Value
devel(libxfce4panel-1.0) -
devel(libxfce4panel-2.0) -
libxfce4-panel-devel == 4.12.0-4:2015.0
libxfce4panel-devel == 4.12.0-4:2015.0
pkgconfig(libxfce4panel-1.0) == 4.12.0
pkgconfig(libxfce4panel-2.0) == 4.12.0
xfce4-panel-devel == 4.12.0-4:2015.0

Obsoletes

Name Value
libxfce4panel1-devel < 4.6.3-2

Download

Type URL
Binary Package libxfce4panel-devel-4.12.0-4-omv2015.0.i586.rpm
Source Package xfce4-panel-4.12.0-4.src.rpm

Install Howto

  1. Enable OpenMandriva Contrib repository on Install and Remove Software"
  2. Update packages list:
    # urpmi.update -a
  3. Install libxfce4panel-devel rpm package:
    # urpmi libxfce4panel-devel

Files

Path
/usr/include/xfce4/libxfce4panel-1.0/
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel-config.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel-enum-types.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel-enums.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/libxfce4panel.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-arrow-button.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-hvbox.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-convenience.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-image.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-macros-46.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-macros.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-plugin-provider.h
/usr/include/xfce4/libxfce4panel-1.0/libxfce4panel/xfce-panel-plugin.h
/usr/include/xfce4/libxfce4panel-2.0/
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel-config.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel-enum-types.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel-enums.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/libxfce4panel.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-arrow-button.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-convenience.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-image.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-macros-46.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-macros.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-plugin-provider.h
/usr/include/xfce4/libxfce4panel-2.0/libxfce4panel/xfce-panel-plugin.h
/usr/lib/libxfce4panel-1.0.so
/usr/lib/libxfce4panel-2.0.so
/usr/lib/pkgconfig/libxfce4panel-1.0.pc
/usr/lib/pkgconfig/libxfce4panel-2.0.pc
/usr/share/doc/libxfce4panel-devel/ChangeLog

Changelog

2016-02-06 - Crispin Boylan <crisb@mandriva.org> 4.12.0-4
- (f29d35c) Fix devel reqs
2015-03-26 - Tomasz Pawe? Gajc <tpgxyz@gmail.com> 4.12.0-3
- (91a7622) remove hardcoded rpaths
2015-03-17 - tpg (Tomasz Pawe? Gajc) <tpgxyz@gmail.com> 4.12.0-2
- (678eaa4) update file list
- (tpg (Tomasz Pawe? Gajc): 6e5356b) package GTK3 library
- (tpg (Tomasz Pawe? Gajc): 1c756ed) bump api
- (tpg (Tomasz Pawe? Gajc): af6dfa5) enable GTK3+ support
2015-03-08 - tpg (Tomasz Pawe? Gajc) <tpgxyz@gmail.com> 4.12.0-1
- (45be8c0) new version 4.12.0
2015-02-06 - Tomasz Pawe? Gajc <tpgxyz@gmail.com> 4.11.2-2
- (33a8fc1) MassBuild#650: Increase release tag
2015-01-29 - Tomasz Pawe? Gajc <tpgxyz@gmail.com> 4.11.2-1
- (2e8f576) new version 4.11.2
2015-01-29 - Tomasz Pawe? Gajc <tpgxyz@gmail.com> 4.11.1-1
- (d7ee87a) 4.11.2
- (tpg (Tomasz Pawe? Gajc): f1ffa9a) add patch to fix linking
- (Tomasz Pawe? Gajc: c4428f4) fix file list
- (tpg (Tomasz Pawe? Gajc): d48aa0e) new version 4.11.1
2013-05-13 - Tomasz Pawe? Gajc <phenomenal@wp.pl> 4.10.1-1
- (0be3f52) fix libname to handle api
- (Tomasz Pawe? Gajc: fcf06cc) README file is empty so do not ship it
- (Tomasz Pawe? Gajc: 259edcc) 4.10.1
- (Tomasz Pawe? Gajc: bcf70b5) update to new version 4.10.1
- (Tomasz Pawe? Gajc: bcf70b5) use pkgconfig buildrequires

See Also

Package Description
libxfce4panel2.0_4-4.12.0-4-omv2015.0.i586.rpm Panel library (GTK3 version) for the Xfce desktop environment
libxfce4ui-common-4.12.1-1-omv2015.0.i586.rpm Common files for libxfce4ui
libxfce4ui-devel-4.12.1-1-omv2015.0.i586.rpm Libraries and header files for the libxfce4ui library
libxfce4ui-glade-4.12.1-1-omv2015.0.i586.rpm Glade modules for libxfce4ui
libxfce4ui1_0-4.12.1-1-omv2015.0.i586.rpm Gui libraries for Xfce
libxfce4ui2-devel-4.12.1-1-omv2015.0.i586.rpm Development files and headers for the libxfce4ui library using GTK3
libxfce4ui2_0-4.12.1-1-omv2015.0.i586.rpm GTK3 GUI libraries for Xfce
libxfce4util-common-4.12.1-1-omv2015.0.noarch.rpm Common files for Xfce utility library
libxfce4util-devel-4.12.1-1-omv2015.0.i586.rpm Libraries and header files for the libxfce4util library
libxfce4util7-4.12.1-1-omv2015.0.i586.rpm Utility library for the Xfce desktop environment
libxfcegui4-4.10.0-10-omv2015.0.i586.rpm Various GTK+ widgets for Xfce desktop environment
libxfcegui4-common-4.10.0-10-omv2015.0.noarch.rpm Translations for libxfcegui4
libxfcegui4-devel-4.10.0-10-omv2015.0.i586.rpm Libraries and header files for the libxfcegui4 library
libxfcegui4-glade-4.10.0-10-omv2015.0.i586.rpm Glade modules for libxfcegui4
libxfcegui4_4-4.10.0-10-omv2015.0.i586.rpm Gui libraries for Xfce
Advertisement
Advertisement